Download it now!
Bug 107232 - Opening MS Office Excel (xlsx) file causes segmentation fault. (KDE)
Summary: Opening MS Office Excel (xlsx) file causes segmentation fault. (KDE)
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.6.2 release
Hardware: x86-64 (AMD64) other
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2017-04-17 13:25 UTC by Scott Nemeth
Modified: 2019-02-28 08:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["libQtGui.so.4.6.2"]


Attachments
Crash backtrace (29.70 KB, text/x-log)
2017-04-18 20:41 UTC, Scott Nemeth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Nemeth 2017-04-17 13:25:09 UTC
Opening any type of MS Excel file (xls or xlsx) causes Libreoffice to crash.

Issue appears to be related to use of RHEL 6.4 and KDE.  Uname info follows:

Linux MyHostName 2.6.32-358.23.2.el6.x86_64 #1 SMP Sat Sep 14 05:32:37 EDT 2013 x86_64 x86_64 x86_64 GNU/Linux

Example terminal output when opening file.

$ libreoffice5.2 tim_snacks_signup.xls
QObject::connect: Cannot queue arguments of type 'css::uno::Reference<css::uno::XComponentContext>'
(Make sure 'css::uno::Reference<css::uno::XComponentContext>' is registered using qRegisterMetaType().)
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread

Then a document recovery window is shown and clicking OK ends the program.

A work-around has been found that allows using the program:

export OOO_FORCE_DESKTOP="gnome"

Libreoffice then will open Excel files with no problem.
Comment 1 Xisco Faulí 2017-04-17 14:56:42 UTC
Hello Scott,

Thank you for reporting the bug. To be certain the reported issue is not related to corruption in the user profile, could you please reset your Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the issue is still present
Comment 2 Scott Nemeth 2017-04-17 15:07:59 UTC
Reset Libreoffice user profile per instructions and problem still exists.
Comment 3 Julien Nabet 2017-04-18 08:22:19 UTC
Could you give an update with 5.3.2 LO version?
Indeed, 5.2 branch is soon EOL
If you still reproduce the problem, would it be possible you attach a backtrace? (see https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#GNU.2FLinux:_How_to_get_a_backtrace)
Comment 4 Scott Nemeth 2017-04-18 20:41:09 UTC
Created attachment 132666 [details]
Crash backtrace

Command line output

$ libreoffice5.3 --backtrace tim_snacks_signup.xlsx
GNU gdb (GDB) Red Hat Enterprise Linux (7.2-60.el6_4.1)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /opt/libreoffice5.3/program/soffice.bin...(no debugging symbols found)...done.
log will be saved as gdbtrace.log, this will take some time, patience...
QObject::connect: Cannot queue arguments of type 'css::uno::Reference<css::uno::XComponentContext>'
(Make sure 'css::uno::Reference<css::uno::XComponentContext>' is registered using qRegisterMetaType().)
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::setCompositionMode: Painter not active
QPainter::end: Painter not active, aborted
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
Comment 5 Julien Nabet 2017-04-18 21:07:43 UTC
Thank you for your feedback.
The only location where drawImage function is called is here:
http://opengrok.libreoffice.org/xref/core/vcl/unx/kde4/KDESalGraphics.cxx#617

What's your kde version? could you provide version of KDE libs?
Comment 6 Scott Nemeth 2017-04-19 12:29:08 UTC
$ kde-config --version
Qt: 3.3.8b
KDE: 3.5.10-25.el6 EL
kde-config: 1.0

and 

$ kde4-config --version
Qt: 4.6.2
KDE: 4.3.4 (KDE 4.3.4)
kde4-config: 1.0

Based upon the backtrace, it looks like it's using the KDE 4.3.4 version.
Comment 7 Julien Nabet 2017-04-19 13:11:50 UTC
Thank you for this new feedback.
So since you use qt 4.6.2, it should be ok.
I'll put this one to NEW since I don't have more questions and you provide a bt.
Comment 8 Michael Weghorn 2019-02-27 10:25:56 UTC
This sounds like it was related to the kde4 VCL plugin, which no longer exists on current git master. It has been dropped in favour of the new kde5 VCL plugin.

I cannot reproduce with that one:

Version: 6.3.0.0.alpha0+
Build ID: bf03f0b9b7f1dfc054c0d985f38147c4e875bd9f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 9 Julien Nabet 2019-02-28 07:44:28 UTC
Since KDE4 is not maintained anymore, shouldn't it be set to RESOLVED/WONTFIX?
Comment 10 Michael Weghorn 2019-02-28 08:34:23 UTC
(In reply to Julien Nabet from comment #9)
> Since KDE4 is not maintained anymore, shouldn't it be set to
> RESOLVED/WONTFIX?

Let's do so.
If anyone can still reproduce the issue with a still maintained VCL plugin, please create a new bug report.